      PROGRAM CIRC
************************************************************************
* Program to determine the current in a circuit containing three       *
* resistors in parallel and in which a given voltage is applied.       *
* Variables used are:                                                  *
*     VOLTS   :  voltage applied (volts)                               *
*     RESIS1,                                                          *
*     RESIS2,                                                          *
*     RESIS3  :  three resistances (ohms)                              *
*     TOTRES  :  total resistance                                      *
*     CURR    :  current (amperes)                                     *
*                                                                      *
* Input:   RESIS1, RESIS2, RESIS3, VOLTS                               *
* Output:  CURR                                                        *
************************************************************************

      REAL RESIS1, RESIS2, RESIS3, TOTRES, VOLTS, CURR

* Obtain three resistances and voltage
      PRINT *, 'ENTER THREE RESISTANCES:'
      READ *, RESIS1, RESIS2, RESIS3
      PRINT *, 'ENTER THE VOLTAGE APPLIED:'
      READ *, VOLTS

* Calculate total resistance and current
      TOTRES = 1.0 / (1.0 / RESIS1 + 1.0 / RESIS2 + 1.0 / RESIS3)
      CURR = VOLTS / TOTRES

* Display the current
      PRINT *, 'THE CURRENT IS', CURR, ' AMPS'

      END
